<?php

namespace Drupal\k8s\Entity;

use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\user\EntityOwnerInterface;

/**
 * Provides an interface defining a Schedule entity.
 *
 * @ingroup k8s
 */
interface K8sScheduleInterface extends ContentEntityInterface, EntityOwnerInterface {

  /**
   * {@inheritdoc}
   */
  public function getPodName(): string;

  /**
   * {@inheritdoc}
   */
  public function setPodName($pod_name);

  /**
   * {@inheritdoc}
   */
  public function getStartHour(): int;

  /**
   * {@inheritdoc}
   */
  public function setStartHour($start_hour);

  /**
   * {@inheritdoc}
   */
  public function getStartMinute(): int;

  /**
   * {@inheritdoc}
   */
  public function setStartMinute($start_minute);

  /**
   * {@inheritdoc}
   */
  public function getStopHour(): int;

  /**
   * {@inheritdoc}
   */
  public function setStopHour($stop_hour);

  /**
   * {@inheritdoc}
   */
  public function getStopMinute(): int;

  /**
   * {@inheritdoc}
   */
  public function setStopMinute($stop_minute);

  /**
   * {@inheritdoc}
   */
  public function getManifest(): string;

  /**
   * {@inheritdoc}
   */
  public function setManifest($manifest);

  /**
   * {@inheritdoc}
   */
  public function getLaunchTemplateName(): ?string;

  /**
   * {@inheritdoc}
   */
  public function setLaunchTemplateName($launch_template_name);

}
